Bug 324031 - sparc fails make check
sparc fails make check
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
rawhide
sparc Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 19:34 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.131-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 19:13:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-10-08 19:34:34 EDT
When building elfutils-0.129-2.fc8.src.rpm for sparc, it fails in make check:

invalid machine flags: 0x100
*** failure in ../src/addr2line
invalid machine flags: 0x100
*** failure in ../src/elfcmp
invalid machine flags: 0x100
*** failure in ../src/elflint
invalid machine flags: 0x100
*** failure in ../src/findtextrel
invalid machine flags: 0x100
*** failure in ../src/ld
invalid machine flags: 0x100
*** failure in ../src/nm
invalid machine flags: 0x100
*** failure in ../src/objdump
invalid machine flags: 0x100
*** failure in ../src/readelf
invalid machine flags: 0x100
*** failure in ../src/size
invalid machine flags: 0x100
*** failure in ../src/strip
invalid machine flags: 0x100
loadable segment GNU_RELRO applies to is executable
*** failure in ../libelf/libelf.so
invalid machine flags: 0x100
*** failure in ../libdw/libdw.so
invalid machine flags: 0x100
*** failure in ../libasm/libasm.so
FAIL: run-elflint-self.sh
Comment 1 Roland McGrath 2007-10-08 21:09:14 EDT
I've fixed "invalid machine flags" upstream.
RELRO is probably a correct error and is an ld problem.
Comment 2 Roland McGrath 2007-10-16 05:57:57 EDT
This issue should be resolved by elfutils-0.130.  If there is still a problem,
reopen or file a new bug report with complete test case details.
Comment 3 Fedora Update System 2007-10-17 22:30:58 EDT
elfutils-0.130-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'
Comment 4 Fedora Update System 2007-11-12 19:13:25 EST
elfutils-0.131-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.